﻿.franchise-page {
    margin: 0 -50px;
}

    .franchise-page .banner {
        width: 100%;
        height: 300px;
        background-image: url('https://skcfilesno.mncdn.com/webfiles/banners/2021/agustos/ofis-meridien.jpg');
        background-size: cover;
        background-repeat: no-repeat;
        background-position: center;
    }

    .franchise-page h1 {
        font-size: 24px;
        margin: 40px 50px 0px;
        font-weight: 900;
    }

    .franchise-page form {
        margin: 0px 50px;
    }

        .franchise-page form > div {
            border-bottom: 1px solid #BCBCBC;
            padding: 40px 0;
        }

        .franchise-page form .title {
            font-weight: 900;
            font-size: 18px;
            margin-bottom: 24px;
        }

        .franchise-page form .input-container {
            display: flex;
            flex-wrap: wrap;
            gap: 36px;
        }

            .franchise-page form .input-container.vertical {
                gap: 18px;
            }

                .franchise-page form .input-container.vertical .cl-custom-checkbox-container {
                    width: 100%;
                }

                .franchise-page form .input-container.vertical .form-group {
                    width: 100%;
                    margin-bottom: 0px;
                }

            .franchise-page form .input-container:not(.vertical) .form-group {
                width: 280px;
                margin-bottom: 0px;
            }

.cl-custom-checkbox-container {
    position: relative;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    margin: 0;
    display: flex;
    align-items: center;
    gap: 12px;
}


    .cl-custom-checkbox-container input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
        height: 0;
        width: 0
    }

    .cl-custom-checkbox-container .text {
        font-size: 14px;
        display: block;
    }

        .cl-custom-checkbox-container .text a {
            color: #707070;
            font-weight: 700;
        }

    .cl-custom-checkbox-container .cl-checkmark {
        height: 32px;
        width: 32px;
        background-color: #fff;
        border: 1px solid #bcbcbc;
        border-radius: 3px;
        position: relative;
    }

        .cl-custom-checkbox-container .cl-checkmark:after {
            content: "";
            position: absolute;
            display: none;
            left: 10px;
            top: 2px;
            width: 10px;
            height: 20px;
            border: solid #20B972;
            border-width: 0 3px 3px 0;
            -webkit-transform: rotate(45deg);
            -ms-transform: rotate(45deg);
            transform: rotate(45deg)
        }

    .cl-custom-checkbox-container input:checked ~ .cl-checkmark:after {
        display: block
    }

.franchise-page form .input-container .form-control {
    margin-bottom: 0px;
    border-radius: 6px;
    border-color: #000000;
    font-size: 14px;
    width: 100%;
    max-width: 260px;
    overflow: hidden;
    text-overflow: ellipsis;
}

.franchise-page form .input-container .form-group.required .form-control {
    border-color: #D82121;
}

.franchise-page form .input-container .form-group label {
    font-size: 12px;
    transform: translateX(10px) translateY(10px);
    background-color: #fff;
    margin: 0px;
    line-height: 20px;
    display: block;
    width: fit-content;
}

.franchise-page form .input-container .form-group.required label {
    color: #D82121;
}

.franchise-page form .input-container.vertical textarea {
    height: 155px;
    resize: none;
    width: 100%;
    max-width: 600px;
}

.addBrand {
    width: 100%;
    position: relative;
    display: flex;
    gap: 18px;
    flex-wrap: wrap
}

    .addBrand > div {
        position: relative;
        width: fit-content;
    }

    .addBrand .form-control {
        text-align: center;
        background-color: #000000;
        color: #fff;
        padding: 0 50px;
    }

        .addBrand .form-control::placeholder {
            color: #fff;
        }

        .addBrand .form-control:focus::placeholder {
            color: transparent;
        }

    .addBrand .addBrandButton {
        position: absolute;
        text-decoration: underline;
        right: 18px;
        top: 15px;
        cursor: pointer;
        color: #fff;
        opacity: 0;
    }

    .addBrand .form-control:focus ~ .addBrandButton {
        opacity: 1 !important;
    }

    .addBrand .removeBrandInput {
        border-color: #F4F5F6 !important;
        background-color: #F4F5F6;
        color: #000000;
        outline: none !important
    }

    .addBrand .removeBrandButton {
        position: absolute;
        right: 16px;
        top: 4px;
        cursor: pointer;
    }

        .addBrand .removeBrandButton::after {
            display: inline-block;
            content: "\00d7";
            font-size: 30px;
            color: #000000;
        }

#submitButton {
    width: 280px;
    height: 56px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    font-size: 14px;
    font-weight: 700;
    border: none;
    border-radius: 6px;
    background-color: #022D56;
    cursor: pointer;
}

    #submitButton.disabled {
        background-color: #BCBCBC;
        pointer-events: none;
    }

@media screen and (max-width: 767px) {
    .franchise-page {
        margin: 0 -15px;
    }

        .franchise-page h1 {
            font-size: 18px;
            margin: 24px 20px 0px;
        }

        .franchise-page form {
            margin: 0px;
        }

            .franchise-page form > div {
                border-bottom: 1px solid #BCBCBC;
                padding: 48px 20px;
            }

            .franchise-page form .title {
                font-size: 14px;
            }

            .franchise-page form .input-container .form-control {
                max-width: unset;
            }

            .franchise-page form .input-container .form-group {
                width: 100% !important;
                margin-bottom: 0px;
            }

    .addBrand {
        flex-direction: column;
    }

        .addBrand > div {
            width: 100%;
        }

    #submitButton {
        width: 100%;
    }
}
